%define name 	gnusound
%define version 0.7.4
%define release %mkrel 2

Summary: 	Multitrack sound editor for GNOME
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.gnu.org/gnu/gnusound/%{name}-%{version}.tar.bz2
Patch0:     	%{name}-destdir.patch.bz2
Patch1:     gnusound-ffmpeg-struct.patch
Patch2:     gnusound-non-x86.patch
License: 	GPL
Group: 		Sound
Url: 		http://www.gnu.org/software/gnusound/index.orig.html
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libglade-devel
BuildRequires: 	libgnome2-devel
BuildRequires:	libalsa-devel libsamplerate-devel
BuildRequires:	libaudiofile-devel libsndfile-devel
BuildRequires:	libflac-devel jackit-devel
BuildRequires:	libogg-devel libvorbis-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ImageMagick

# This software sucks
# I add this for now to make it works
# but there is an overflow to fix !
%define _fortify_cflags %nil

%description
A gnu sound editor

%prep
%setup -q 
%patch0 -p1
%patch1 -p0 -b .ffmpeg-struct
%patch2 -p0 -b .non-x86

%build

aclocal
libtoolize --force
autoconf || :

%ifnarch i686 k6 athlon p3 p4
cat src/config.h |\
sed 's|define USE_FLOAT_TO_INT_METHOD .|define USE_FLOAT_TO_INT_METHOD 2|' |\
sed 's|define USE_MMX_MINMAX .|define USE_MMX_MINMAX 0|' |\
sed 's|define ARCH_X86|undef ARCH_X86|' \
> src/config.h.new
cp -f src/config.h.new src/config.h
%endif

%configure2_5x --with-gnome2 
%make

%install
%makeinstall_std

(
cd $RPM_BUILD_ROOT/%_libdir/gnusound/modules/
for i in *.so; do
    strip $i || true
done
)

mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 gui/logo.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 gui/logo.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 gui/logo.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT%{_menudir}
cat > %name << EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Gnusound"\
longtitle="Gnu Sound Editor"\
needs="x11"\
section="Multimedia/Sound"\
icon="%{name}.png"\
xdg="true"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO CHANGES NOTES
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/gnome/apps/Multimedia/%name.desktop
%{_datadir}/gnome/help/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/26/06 22:21:11 (42256)
- patch2: fix build on arch != x86 (hopefully all)
- patch1: fix ffmpeg modules compilation
- xdg menu

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/26/06 20:26:06 (42253)
Import gnusound

* Thu Jul 07 2005 Austin Acton <austin@mandriva.org> 0.7.4-1mdk
- New release 0.7.4

* Tue Jul 05 2005 Austin Acton <austin@mandriva.org> 0.7.3-1mdk
- 0.7.3
- source URL
- fix URL
- add buildrequires
- configure 2.5
- move to gtk2
- rediff patch
- cleanup files list
- nicer description
- build icons inline

* Mon Mar 28 2005 Olivier Thauvin <nanardon@mandrake.org> 0.6.2-2mdk
- %%mkrel && rebuild
- disable gnome2 support

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-1mdk
- new release

* Tue Nov 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-1mdk
- 0.6.1
 

* Thu May 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6-1mdk
- 0.6
 

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- distlint fix

* Sun Feb 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-2mdk
- apply patch0 for gcc2 (for backport)

* Mon Jan 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.1-1mdk
- new release

* Tue Dec 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5-1mdk
0.5

* Tue Dec 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-2mdk
- Fix errno pb Patch0 (thanks Pascal and Gwenole)
- Enable ppc build (thanks Pascal)

* Mon Dec 16 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-1mdk
- 0.4.1
- Fix missing files (Pascal Haakmat <a.haakmat@chello.nl>)

* Fri Dec 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-1mdk
- 0.4

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.7-1mdk 
- 0.3.7

* Thu Jun 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-1mdk
- 1st mdk release

